Bug 246946 - Initscript Review
Initscript Review
Product: Fedora
Classification: Fedora
Component: ices (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
Depends On:
Blocks: InitscriptStatus
  Show dependency treegraph
Reported: 2007-07-05 09:51 EDT by Harald Hoyer
Modified: 2009-01-08 23:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-08 23:43:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2007-07-05 09:51:35 EDT
Please have a look at the wikipage 
and change your initscripts to comply with the LSB standard.
Especially check the exit status and add a LSB Header.
E.g. starting a service should return with 0, if the service is already running and stopping a stopped service should also return with 0.

Also check, if your service has to be _on_ per default, and turn it off in the old chkconfig line, if not.

Thank you.
Comment 1 Peter Bieringer 2007-08-05 04:38:01 EDT
Note also that the current version does not support "status":

# LANG=C /sbin/service ices status
Usage: status [-p pidfile] {program}

--- ices        2007-08-05 10:33:41.000000000 +0200
+++ ices.new    2007-08-05 10:30:37.000000000 +0200
@@ -19,6 +19,7 @@
 start() {
        export TMPDIR="/var/tmp"

Also during upgrading from FC6 to F7 the uninstallation of the old package fails:

# rpm -q ices
# LANG=C rpm -e ices-2.0.1-4.fc6
error: %postun(ices-2.0.1-4.fc6.i386) scriptlet failed, exit status 1

I wonder a little bit about, why this fails:
postuninstall scriptlet (using /bin/sh):
if [ "$1" -ge "1" ]; then
        /sbin/service ices condrestart >/dev/null 2>&1

"exit 0" is missing here, see other (e.g. postfix) scripts.

Comment 2 Bug Zapper 2008-04-04 09:04:41 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-11-26 02:27:30 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2009-01-08 23:43:30 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.